## WebKitGeolocationPolicyDecision

WebKitGeolocationPolicyDecision — Liaison between WebKit and the application regarding asynchronous geolocation policy decisions

## Functions

void | webkit_geolocation_policy_allow ()
void | webkit_geolocation_policy_deny ()

## Types and Values

| WebKitGeolocationPolicyDecision

## Object Hierarchy

        GObject
        ╰── WebKitGeolocationPolicyDecision

## Description

WebKitGeolocationPolicyDecision objects are given to the application when geolocation-policy-decision-requested signal is emitted. The application uses it to tell the engine whether it wants to allow or deny geolocation for a given frame.

## Functions

### webkit_geolocation_policy_allow ()

    void
    webkit_geolocation_policy_allow (WebKitGeolocationPolicyDecision *decision);

Will send the allow decision to the policy implementer.

#### Parameters

decision | a WebKitGeolocationPolicyDecision |

Since: 1.1.23

### webkit_geolocation_policy_deny ()

    void
    webkit_geolocation_policy_deny (WebKitGeolocationPolicyDecision *decision);

Will send the deny decision to the policy implementer.

#### Parameters

decision | a WebKitGeolocationPolicyDecision |

Since: 1.1.23

## Types and Values

### WebKitGeolocationPolicyDecision

    typedef struct _WebKitGeolocationPolicyDecision WebKitGeolocationPolicyDecision;